Page 1 of 1

[Solved] Connection to data source could not be established

PostPosted: Tue Sep 18, 2018 3:32 am
by phollox
Hello commuity,

I tried upgrading the driver of my embedded LibreOffice database. I tried using the macro provided by Villeroy ExtractHSQL. The message after the macro ran shows that the database is using the hsqldb.jar file put in the driver subdirectory, according to the instructions on the original post. However, when I tried to check the content of the Tables tab, I get an error message:

Code: Select all   Expand viewCollapse view
The connection to the data source "PholloxDBase" could not be established.
Error code: 1000

The driver class 'org.hsqldb.jdbcDriver' could not be loaded.The additional driver class path is 'file:///home/phollox/PholloxDB/driver/hsqldb.jar'.
Error code: -1

org/hsqldb/jdbcDriver : Unsupported major.minor version 52.0


I then used the FreeHSQLDB macro also by Villeroy, and it shows that the database is using the right *.script file on the database subdirectory and *.jar file on the driver subdirectory.

I downloaded HSQLDB package version 2.4.1. Maybe I need to use a less current version? Has anyone seen this typeof problem?

Thanks

Re: Connection to the data source could not be established

PostPosted: Tue Sep 18, 2018 5:05 pm
by UnklDonald418
There have been some reported issues with HSQLDB 2.4.x and Base. Try 2.3.4
https://sourceforge.net/projects/hsqldb/files/hsqldb/hsqldb_2_3/

Re: Connection to the data source could not be established

PostPosted: Tue Sep 18, 2018 5:54 pm
by phollox
UnklDonald418 wrote:There have been some reported issues with HSQLDB 2.4.x and Base. Try 2.3.4
https://sourceforge.net/projects/hsqldb/files/hsqldb/hsqldb_2_3/


Thank you UnkiDonald418. That was my line of though after several tests. I just did this and it works. I though I might have to change something on the .script file.

Thanks again!